[CentOS] Help with yum and cpio: MD5 sum mismatch

Nico Kadel-Garcia nkadel at gmail.com
Tue Nov 30 19:30:10 EST 2010


On Tue, Nov 30, 2010 at 3:48 PM, James B. Byrne <byrnejb at harte-lyne.ca> wrote:
> I am trying to install Ruby-1.8.7p302 on a CentOS-5.5 server in
> preparation for a Rails-3 application deployment.  I have downloaded
> the source from Rubyforge.org, unpacked it, and ran ./config and
> make.  Everything built without error. I then ran checkinstall to
> create an rpm package. That too completed without error.

Your RPM was built on a Fedora, RHEL 6, or other more recent OS with
the updated version of RPM.

I'm afraid you'll have to recompile it to get it to work well: use
'rpm2cpio' to take apart the SRPM and get the files, then deposit them
in a relevant "SOURCES" directory with the .spec file in your relevant
SPECS directory, and try to rebuild RPM's with the .spec file.

I can get into more detail if you need it, but it's how I backported
Torque 2.4.10 to RHEL 5 from the EPEL RHEL 6 repository two weeks ago.


More information about the CentOS mailing list